# Note that this is NOT a relocatable package

%define libgnomeui_version 2.0.0
%define libgtop2_version 2.0.0
%define libwnck_version 0.14
%define pango_version 1.0.99
%define gtk2_version 2.0.5
%define desktop_file_utils_version 0.2.90

Summary: Simple process monitor
Name: gnome-system-monitor
Version: 2.0.0
Release: 2
Copyright: GPL
Group: Applications/System
Source: http://download.gnome.org/GNOME/pre-gnome2/sources/gnome-system-monitor/gnome-system-monitor-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: libgnomeui >= %{libgnomeui_version}
Requires: libgtop2 >= %{libgtop2_version}
Requires: libwnck >= %{libwnck_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgtop2-devel >= %{libgtop2_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: Xft
BuildRequires: fontconfig
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

Obsoletes: gtop

%description
gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q -n gnome-system-monitor-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-monitor.schemas > /dev/null

%files -f %{name}.lang
%defattr(-, root, root)

%{_bindir}/gnome-system-monitor
%{_datadir}/applications
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/pixmaps
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/omf

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- add a bunch of build requires
- put omf in file list
- fix location of desktop file
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- build with new libs

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- obsolete gtop

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.1.7

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.6

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.1.3 (should rename package to gnome-system-monitor as upstream)

* Thu Jan 10 2002 Havoc Pennington <hp@pobox.com>
- make spec "Red Hat style"
- add GConf stuff
- langify

